%global luaminver 5.2

Summary:        Terminal functions for Lua
Name:           lua-term
Version:        0.07
Release:        4%{?dist}
License:        MIT
URL:            https://github.com/hoelzro/%{name}
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  lua-devel >= %{luaminver}
Requires:       lua(abi) = %{lua_version}
Requires:       lua >= %{lua_version}


%description
This package provides lua module for manipulating a terminal.


%prep
%autosetup


%build
%{__cc} %{optflags} -fPIC -c core.c -o core.o
%{__cc} %{__global_ldflags} -shared -o core.so core.o
chmod 755 core.so


%install
mkdir -p %{buildroot}%{lua_pkgdir}
cp -rp term  %{buildroot}%{lua_pkgdir}/
mkdir -p %{buildroot}%{_libdir}/lua/%{lua_version}/term
cp -p core.so %{buildroot}%{_libdir}/lua/%{lua_version}/term/


%files
%license COPYING
%doc CHANGES README.md
%{lua_libdir}/term/
%{lua_pkgdir}/term/


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.07-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.07-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.07-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 22 2023 Wang Guodong <gordonwwang@tencent.com> - 0.07-1
- initial build
